Package picard.analysis

## Class CollectRawWgsMetrics

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.analysis.CollectWgsMetrics
    - - picard.analysis.CollectRawWgsMetrics

-     @DocumentedFeature
      public class CollectRawWgsMetrics
      extends CollectWgsMetrics

  Computes a number of metrics that are useful for evaluating coverage and performance of whole genome sequencing experiments, same implementation as `CollectWgsMetrics`, with different defaults: lacks baseQ and mappingQ filters and has much higher coverage cap. This tool computes metrics that are useful for evaluating coverage and performance of whole genome sequencing experiments. These metrics include the percentages of reads that pass minimal base- and mapping- quality filters as well as coverage (read-depth) levels.
  The histogram output is optional and for a given run, displays two separate outputs on the y-axis while using a single set of values for the x-axis. Specifically, the first column in the histogram table (x-axis) is labeled 'coverage' and represents different possible coverage depths. However, it also represents the range of values for the base quality scores and thus should probably be labeled 'sequence depth and base quality scores'. The second and third columns (y-axes) correspond to the numbers of bases at a specific sequence depth 'count' and the numbers of bases at a particular base quality score 'baseq_count' respectively.
  Although similar to the `CollectWgsMetrics` tool, the default thresholds for CollectRawWgsMetrics are less stringent. For example, the CollectRawWgsMetrics have base and mapping quality score thresholds set to '3' and '0' respectively, while the `CollectWgsMetrics` tool has the default threshold values set to '20' (at time of writing). Nevertheless, both tools enable the user to input specific threshold values.

  Note: Metrics labeled as percentages are actually expressed as fractions!

  #### Usage example:

       java -jar picard.jar CollectRawWgsMetrics \\

            I=input.bam \\

            O=output_raw_wgs_metrics.txt \\

            R=reference.fasta \\

            INCLUDE_BQ_HISTOGRAM=true

  Please see the WgsMetrics documentation for detailed explanations of the output metrics.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CollectRawWgsMetrics.RawWgsMetrics` |

    - ### Nested classes/interfaces inherited from class picard.analysis.CollectWgsMetrics

      `CollectWgsMetrics.CollectWgsMetricsIntervalArgumentCollection, CollectWgsMetrics.WgsMetricsCollector`

  - ### Field Summary

    - ### Fields inherited from class picard.analysis.CollectWgsMetrics

      `ALLELE_FRACTION, COUNT_UNPAIRED, COVERAGE_CAP, INCLUDE_BQ_HISTOGRAM, INPUT, intervalArgumentCollection, INTERVALS, LOCUS_ACCUMULATION_CAP, MINIMUM_BASE_QUALITY, MINIMUM_MAPPING_QUALITY, OUTPUT, READ_LENGTH, SAMPLE_SIZE, STOP_AFTER, THEORETICAL_SENSITIVITY_OUTPUT, USE_FAST_ALGORITHM`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CollectRawWgsMetrics()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---

    `protected WgsMetrics`

    `generateWgsMetrics​(htsjdk.samtools.util.IntervalList intervals, htsjdk.samtools.util.Histogram<Integer> highQualityDepthHistogram, htsjdk.samtools.util.Histogram<Integer> unfilteredDepthHistogram, double pctExcludedByAdapter, double pctExcludedByMapq, double pctExcludedByDupes, double pctExcludedByPairing, double pctExcludedByBaseq, double pctExcludedByOverlap, double pctExcludedByCapping, double pctTotal, int coverageCap, htsjdk.samtools.util.Histogram<Integer> unfilteredBaseQHistogram, int sampleSize)`

    - ### Methods inherited from class picard.analysis.CollectWgsMetrics

      `doWork, getBasesExcludedBy, getCollector, getIntervalsToExamine, getLocusIterator, getSamFileHeader, getSamReader, makeIntervalArgumentCollection, requiresReference`

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, setDefaultHeaders, useLegacyParser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectRawWgsMetrics

          public CollectRawWgsMetrics()

  - ### Method Detail

    - #### generateWgsMetrics

          protected WgsMetrics generateWgsMetrics​(htsjdk.samtools.util.IntervalList intervals,
                                                  htsjdk.samtools.util.Histogram<Integer> highQualityDepthHistogram,
                                                  htsjdk.samtools.util.Histogram<Integer> unfilteredDepthHistogram,
                                                  double pctExcludedByAdapter,
                                                  double pctExcludedByMapq,
                                                  double pctExcludedByDupes,
                                                  double pctExcludedByPairing,
                                                  double pctExcludedByBaseq,
                                                  double pctExcludedByOverlap,
                                                  double pctExcludedByCapping,
                                                  double pctTotal,
                                                  int coverageCap,
                                                  htsjdk.samtools.util.Histogram<Integer> unfilteredBaseQHistogram,
                                                  int sampleSize)

      Overrides:
        `generateWgsMetrics` in class `CollectWgsMetrics`